Quassel IRC - Bug #1052

Cannot arrange channels in custom order, client is ignoring "Sort alphabetically” option
02/12/2011 10:30 PM - luckman212

Status: Feedback Start date: 02/12/2011
Priority: Normal Due date:

Assignee: luckman212 % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour
Target version:

Version: 0.7-pre 0S: Windows
Description

I've tested this bug now with 0.7.1 as well as Datafreak's Git based builds (both static- and dynamically-linked versions) and as of the
1/31/2011 build it is still an issue for me. | am running Win7 x64.

I am trying to arrange (via drag 'n' drop) the channels in my custom chat lists in a custom order, but Quassel refuses to allow me to
drag them. All that happens is a "selection" highlight appears across several channels, as if it was a multiple selection. But | cannot
for the life of me make a channel sort to a different spot. | am aware that channels cannot be dragged between different networks,
these are all channels on the same network. Here's a screenshot of what happens when | try to drag a channel:
| have tried deleting my quassel .INI & database settings and "starting fresh" but the issue did not resolve.

Also, | found a few other similar bug reports, some quite old and marked "closed" -so perhaps this is some kind of regression? ref:
http://bugs.quassel-irc.org/issues/182
http://bugs.quassel-irc.org/issues/146
http:/bugs.quassel-irc.org/issues/481

Thank you for your time.

History

#1 - 03/17/2011 05:09 PM - johu

- Status changed from New to Feedback

Do you hit the button apply, after unchecked the alphabethical checkbox?

#2 - 03/17/2011 05:11 PM - luckman212
Yes, | definitely did hit Apply. It has no effect on this bug.

#3 - 10/12/2015 12:22 AM - deas

Just want to bump this, since i accidentally hit ctrl+w and hid a channel, and brining it back with /join makes it go at the bottom of the network channel
list- and | can't for my life get it back to joined-position, so this is still an issue.

#4 - 10/12/2015 11:41 AM - deas
deas wrote:
Just want to bump this, since i accidentally hit ctrl+w and hid a channel, and brining it back with /join makes it go at the bottom of the network

channel list- and | can't for my life get it back to joined-position, so this is still an issue.

nvm, turns out View->"Lock Layout" (found in menubar) was on, preventing moving.
